### Function

# Gimp file_new_for_config_path

#### Declaration [src]

    GFile*
    gimp_file_new_for_config_path (
      const gchar* path,
      GError** error
    )

#### Description [src]

Expands `path` using `gimp_config_path_expand()` and returns a `GFile` for the expanded path.

To reverse the expansion, use gimp_file_get_config_path().

Available since: | 2.10

#### Parameters

`path` | `const gchar*`
| A NUL-terminated string in UTF-8 encoding.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GFile`
| A newly allocated `GFile`, or `NULL` if the expansion failed.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.